/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 03050
 |            UNIFORM FACILITY DATA SET, 1998: [UNITED STATES]
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (MODE <= -1) THEN MODE = .;
   IF (STFIPS <= -1) THEN STFIPS = .;
   IF (TREATMT <= -1) THEN TREATMT = .;
   IF (DETOX <= -1) THEN DETOX = .;
   IF (PREVNTN <= -1) THEN PREVNTN = .;
   IF (OTHNONTX <= -1) THEN OTHNONTX = .;
   IF (OWNERSHP <= -1) THEN OWNERSHP = .;
   IF (FEDOWN <= -1) THEN FEDOWN = .;
   IF (LOC1 <= -1) THEN LOC1 = .;
   IF (LOC2 <= -1) THEN LOC2 = .;
   IF (LOC3 <= -1) THEN LOC3 = .;
   IF (LOC4 <= -1) THEN LOC4 = .;
   IF (LOC5 <= -1) THEN LOC5 = .;
   IF (LOC6 <= -1) THEN LOC6 = .;
   IF (LOC7 <= -1) THEN LOC7 = .;
   IF (LOC8 <= -1) THEN LOC8 = .;
   IF (LOC9 <= -1) THEN LOC9 = .;
   IF (LOC10 <= -1) THEN LOC10 = .;
   IF (LOC11 <= -1) THEN LOC11 = .;
   IF (LOC12 <= -1) THEN LOC12 = .;
   IF (LOC13 <= -1) THEN LOC13 = .;
   IF (LOC14 <= -1) THEN LOC14 = .;
   IF (LOC15 <= -1) THEN LOC15 = .;
   IF (LOC16 <= -1) THEN LOC16 = .;
   IF (MGMCARE <= -1) THEN MGMCARE = .;
   IF (WRITARRA <= -1) THEN WRITARRA = .;
   IF (WRITNUM <= -1) THEN WRITNUM = .;
   IF (OWNER <= -1) THEN OWNER = .;
   IF (SETTING <= -1) THEN SETTING = .;
   IF (ADMIN <= -1) THEN ADMIN = .;
   IF (SRVC1 <= -1) THEN SRVC1 = .;
   IF (SRVC2 <= -1) THEN SRVC2 = .;
   IF (SRVC3 <= -1) THEN SRVC3 = .;
   IF (SRVC4 <= -1) THEN SRVC4 = .;
   IF (SRVC5 <= -1) THEN SRVC5 = .;
   IF (SRVC6 <= -1) THEN SRVC6 = .;
   IF (SRVC7 <= -1) THEN SRVC7 = .;
   IF (SRVC8 <= -1) THEN SRVC8 = .;
   IF (SRVC9 <= -1) THEN SRVC9 = .;
   IF (SRVC10 <= -1) THEN SRVC10 = .;
   IF (SRVC11 <= -1) THEN SRVC11 = .;
   IF (SRVC12 <= -1) THEN SRVC12 = .;
   IF (SRVC13 <= -1) THEN SRVC13 = .;
   IF (SRVC14 <= -1) THEN SRVC14 = .;
   IF (SRVC15 <= -1) THEN SRVC15 = .;
   IF (SRVC16 <= -1) THEN SRVC16 = .;
   IF (SRVC17 <= -1) THEN SRVC17 = .;
   IF (SRVC18 <= -1) THEN SRVC18 = .;
   IF (SRVC19 <= -1) THEN SRVC19 = .;
   IF (SRVC20 <= -1) THEN SRVC20 = .;
   IF (SRVC21 <= -1) THEN SRVC21 = .;
   IF (SRVC22 <= -1) THEN SRVC22 = .;
   IF (SRVC23 <= -1) THEN SRVC23 = .;
   IF (SRVC24 <= -1) THEN SRVC24 = .;
   IF (SRVC25 <= -1) THEN SRVC25 = .;
   IF (SRVC26 <= -1) THEN SRVC26 = .;
   IF (SRVC27 <= -1) THEN SRVC27 = .;
   IF (SRVC28 <= -1) THEN SRVC28 = .;
   IF (SRVC29 <= -1) THEN SRVC29 = .;
   IF (SRVC36 <= -1) THEN SRVC36 = .;
   IF (SRVC37 <= -1) THEN SRVC37 = .;
   IF (SRVC38 <= -1) THEN SRVC38 = .;
   IF (SRVC39 <= -1) THEN SRVC39 = .;
   IF (SRVC40 <= -1) THEN SRVC40 = .;
   IF (SRVC41 <= -1) THEN SRVC41 = .;
   IF (SRVC42 <= -1) THEN SRVC42 = .;
   IF (SRVC43 <= -1) THEN SRVC43 = .;
   IF (SRVC44 <= -1) THEN SRVC44 = .;
   IF (SRVC45 <= -1) THEN SRVC45 = .;
   IF (SRVC46 <= -1) THEN SRVC46 = .;
   IF (SRVC47 <= -1) THEN SRVC47 = .;
   IF (SRVC48 <= -1) THEN SRVC48 = .;
   IF (SRVC49 <= -1) THEN SRVC49 = .;
   IF (SRVC50 <= -1) THEN SRVC50 = .;
   IF (SRVC51 <= -1) THEN SRVC51 = .;
   IF (SRVC52 <= -1) THEN SRVC52 = .;
   IF (SRVC53 <= -1) THEN SRVC53 = .;
   IF (SRVC54 <= -1) THEN SRVC54 = .;
   IF (SRVC55 <= -1) THEN SRVC55 = .;
   IF (SRVC56 <= -1) THEN SRVC56 = .;
   IF (SRVC57 <= -1) THEN SRVC57 = .;
   IF (SRVC58 <= -1) THEN SRVC58 = .;
   IF (SRVC59 <= -1) THEN SRVC59 = .;
   IF (SRVC60 <= -1) THEN SRVC60 = .;
   IF (SRVC30 <= -1) THEN SRVC30 = .;
   IF (SRVC31 <= -1) THEN SRVC31 = .;
   IF (SRVC32 <= -1) THEN SRVC32 = .;
   IF (SRVC33 <= -1) THEN SRVC33 = .;
   IF (SRVC34 <= -1) THEN SRVC34 = .;
   IF (SRVC35 <= -1) THEN SRVC35 = .;
   IF (TYPE1 <= -1) THEN TYPE1 = .;
   IF (TYPE2 <= -1) THEN TYPE2 = .;
   IF (TYPE3 <= -1) THEN TYPE3 = .;
   IF (TYPE4 <= -1) THEN TYPE4 = .;
   IF (TYPE5 <= -1) THEN TYPE5 = .;
   IF (TYPE6 <= -1) THEN TYPE6 = .;
   IF (TYPE7 <= -1) THEN TYPE7 = .;
   IF (ADMINLNK <= -1) THEN ADMINLNK = .;
   IF (FACNUM <= -1) THEN FACNUM = .;
   IF (OTHFAC1 <= -1) THEN OTHFAC1 = .;
   IF (OTHFAC2 <= -1) THEN OTHFAC2 = .;
   IF (OTHFAC3 <= -1) THEN OTHFAC3 = .;
   IF (CLIENTS4 <= -1) THEN CLIENTS4 = .;
   IF (HISVC <= -1) THEN HISVC = .;
   IF (HOSPBED <= -1) THEN HOSPBED = .;
   IF (T_CLI1 <= -1) THEN T_CLI1 = .;
   IF (T_CLI2 <= -1) THEN T_CLI2 = .;
   IF (T_CLIHI <= -1) THEN T_CLIHI = .;
   IF (HIMETLAM <= -1) THEN HIMETLAM = .;
   IF (HIMETNUM <= -1) THEN HIMETNUM = .;
   IF (HILAMNUM <= -1) THEN HILAMNUM = .;
   IF (H_SEX1 <= -1) THEN H_SEX1 = .;
   IF (H_SEX2 <= -1) THEN H_SEX2 = .;
   IF (H_SEX3 <= -1) THEN H_SEX3 = .;
   IF (H_SEX4 <= -1) THEN H_SEX4 = .;
   IF (H_RE1 <= -1) THEN H_RE1 = .;
   IF (H_RE2 <= -1) THEN H_RE2 = .;
   IF (H_RE3 <= -1) THEN H_RE3 = .;
   IF (H_RE4 <= -1) THEN H_RE4 = .;
   IF (H_RE5 <= -1) THEN H_RE5 = .;
   IF (H_RE6 <= -1) THEN H_RE6 = .;
   IF (H_RE7 <= -1) THEN H_RE7 = .;
   IF (H_RE8 <= -1) THEN H_RE8 = .;
   IF (H_AGE1 <= -1) THEN H_AGE1 = .;
   IF (H_AGE2 <= -1) THEN H_AGE2 = .;
   IF (H_AGE3 <= -1) THEN H_AGE3 = .;
   IF (H_AGE4 <= -1) THEN H_AGE4 = .;
   IF (H_AGE5 <= -1) THEN H_AGE5 = .;
   IF (H_AGE6 <= -1) THEN H_AGE6 = .;
   IF (H_AGE7 <= -1) THEN H_AGE7 = .;
   IF (H_AGE8 <= -1) THEN H_AGE8 = .;
   IF (H_AGE9 <= -1) THEN H_AGE9 = .;
   IF (RCSVC <= -1) THEN RCSVC = .;
   IF (RESBED <= -1) THEN RESBED = .;
   IF (T_CLI3 <= -1) THEN T_CLI3 = .;
   IF (T_CLI4 <= -1) THEN T_CLI4 = .;
   IF (T_CLIRC <= -1) THEN T_CLIRC = .;
   IF (RCMETLAM <= -1) THEN RCMETLAM = .;
   IF (RCMETNUM <= -1) THEN RCMETNUM = .;
   IF (RCLAMNUM <= -1) THEN RCLAMNUM = .;
   IF (R_SEX1 <= -1) THEN R_SEX1 = .;
   IF (R_SEX2 <= -1) THEN R_SEX2 = .;
   IF (R_SEX3 <= -1) THEN R_SEX3 = .;
   IF (R_SEX4 <= -1) THEN R_SEX4 = .;
   IF (R_RE1 <= -1) THEN R_RE1 = .;
   IF (R_RE2 <= -1) THEN R_RE2 = .;
   IF (R_RE3 <= -1) THEN R_RE3 = .;
   IF (R_RE4 <= -1) THEN R_RE4 = .;
   IF (R_RE5 <= -1) THEN R_RE5 = .;
   IF (R_RE6 <= -1) THEN R_RE6 = .;
   IF (R_RE7 <= -1) THEN R_RE7 = .;
   IF (R_RE8 <= -1) THEN R_RE8 = .;
   IF (R_AGE1 <= -1) THEN R_AGE1 = .;
   IF (R_AGE2 <= -1) THEN R_AGE2 = .;
   IF (R_AGE3 <= -1) THEN R_AGE3 = .;
   IF (R_AGE4 <= -1) THEN R_AGE4 = .;
   IF (R_AGE5 <= -1) THEN R_AGE5 = .;
   IF (R_AGE6 <= -1) THEN R_AGE6 = .;
   IF (R_AGE7 <= -1) THEN R_AGE7 = .;
   IF (R_AGE8 <= -1) THEN R_AGE8 = .;
   IF (R_AGE9 <= -1) THEN R_AGE9 = .;
   IF (OUTSVC <= -1) THEN OUTSVC = .;
   IF (T_CLI7 <= -1) THEN T_CLI7 = .;
   IF (T_CLI6 <= -1) THEN T_CLI6 = .;
   IF (T_CLI5 <= -1) THEN T_CLI5 = .;
   IF (T_CLIOP <= -1) THEN T_CLIOP = .;
   IF (OPMETLAM <= -1) THEN OPMETLAM = .;
   IF (OPMETNUM <= -1) THEN OPMETNUM = .;
   IF (OPLAMNUM <= -1) THEN OPLAMNUM = .;
   IF (O_SEX1 <= -1) THEN O_SEX1 = .;
   IF (O_SEX2 <= -1) THEN O_SEX2 = .;
   IF (O_SEX3 <= -1) THEN O_SEX3 = .;
   IF (O_SEX4 <= -1) THEN O_SEX4 = .;
   IF (O_RE1 <= -1) THEN O_RE1 = .;
   IF (O_RE2 <= -1) THEN O_RE2 = .;
   IF (O_RE3 <= -1) THEN O_RE3 = .;
   IF (O_RE4 <= -1) THEN O_RE4 = .;
   IF (O_RE5 <= -1) THEN O_RE5 = .;
   IF (O_RE6 <= -1) THEN O_RE6 = .;
   IF (O_RE7 <= -1) THEN O_RE7 = .;
   IF (O_RE8 <= -1) THEN O_RE8 = .;
   IF (O_AGE1 <= -1) THEN O_AGE1 = .;
   IF (O_AGE2 <= -1) THEN O_AGE2 = .;
   IF (O_AGE3 <= -1) THEN O_AGE3 = .;
   IF (O_AGE4 <= -1) THEN O_AGE4 = .;
   IF (O_AGE5 <= -1) THEN O_AGE5 = .;
   IF (O_AGE6 <= -1) THEN O_AGE6 = .;
   IF (O_AGE7 <= -1) THEN O_AGE7 = .;
   IF (O_AGE8 <= -1) THEN O_AGE8 = .;
   IF (O_AGE9 <= -1) THEN O_AGE9 = .;
   IF (TOTADMIS <= -1) THEN TOTADMIS = .;
   IF (SACL98 <= -1) THEN SACL98 = .;
   IF (B_PCT <= -1) THEN B_PCT = .;
   IF (A_PCT <= -1) THEN A_PCT = .;
   IF (D_PCT <= -1) THEN D_PCT = .;
   IF (INJPCT <= -1) THEN INJPCT = .;
   IF (TBPCT <= -1) THEN TBPCT = .;
   IF (HIVPCT <= -1) THEN HIVPCT = .;
   IF (PREVPCT <= -1) THEN PREVPCT = .;
   IF (MGDPCT <= -1) THEN MGDPCT = .;
   IF (CTPCT <= -1) THEN CTPCT = .;
   IF (PREGPCT <= -1) THEN PREGPCT = .;
   IF (DEPPCT <= -1) THEN DEPPCT = .;
   IF (OPMLTOTL <= -1) THEN OPMLTOTL = .;
   IF (HIMLTOTL <= -1) THEN HIMLTOTL = .;
   IF (RCMLTOTL <= -1) THEN RCMLTOTL = .;
   IF (MALE <= -1) THEN MALE = .;
   IF (FEMALE <= -1) THEN FEMALE = .;
   IF (UNKNOWN <= -1) THEN UNKNOWN = .;
   IF (TTLGNDR <= -1) THEN TTLGNDR = .;
   IF (WHITE <= -1) THEN WHITE = .;
   IF (BLACK <= -1) THEN BLACK = .;
   IF (HISPANIC <= -1) THEN HISPANIC = .;
   IF (ASIAN <= -1) THEN ASIAN = .;
   IF (AMERINDN <= -1) THEN AMERINDN = .;
   IF (OTHER <= -1) THEN OTHER = .;
   IF (UNKRACE <= -1) THEN UNKRACE = .;
   IF (TTLRACE <= -1) THEN TTLRACE = .;
   IF (UNDER18 <= -1) THEN UNDER18 = .;
   IF (X18_20 <= -1) THEN X18_20 = .;
   IF (X21_24 <= -1) THEN X21_24 = .;
   IF (X25_34 <= -1) THEN X25_34 = .;
   IF (X35_44 <= -1) THEN X35_44 = .;
   IF (X45_64 <= -1) THEN X45_64 = .;
   IF (OVER65 <= -1) THEN OVER65 = .;
   IF (UNKAGE <= -1) THEN UNKAGE = .;
   IF (TTLAGE <= -1) THEN TTLAGE = .;
   IF (H_SEX1FL <= -1) THEN H_SEX1FL = .;
   IF (H_SEX2FL <= -1) THEN H_SEX2FL = .;
   IF (H_SEX3FL <= -1) THEN H_SEX3FL = .;
   IF (H_SEX4FL <= -1) THEN H_SEX4FL = .;
   IF (H_RE1FL <= -1) THEN H_RE1FL = .;
   IF (H_RE2FL <= -1) THEN H_RE2FL = .;
   IF (H_RE3FL <= -1) THEN H_RE3FL = .;
   IF (H_RE4FL <= -1) THEN H_RE4FL = .;
   IF (H_RE5FL <= -1) THEN H_RE5FL = .;
   IF (H_RE6FL <= -1) THEN H_RE6FL = .;
   IF (H_RE7FL <= -1) THEN H_RE7FL = .;
   IF (H_RE8FL <= -1) THEN H_RE8FL = .;
   IF (H_AGE1FL <= -1) THEN H_AGE1FL = .;
   IF (H_AGE2FL <= -1) THEN H_AGE2FL = .;
   IF (H_AGE3FL <= -1) THEN H_AGE3FL = .;
   IF (H_AGE4FL <= -1) THEN H_AGE4FL = .;
   IF (H_AGE5FL <= -1) THEN H_AGE5FL = .;
   IF (H_AGE6FL <= -1) THEN H_AGE6FL = .;
   IF (H_AGE7FL <= -1) THEN H_AGE7FL = .;
   IF (H_AGE8FL <= -1) THEN H_AGE8FL = .;
   IF (H_AGE9FL <= -1) THEN H_AGE9FL = .;
   IF (O_SEX1FL <= -1) THEN O_SEX1FL = .;
   IF (O_SEX2FL <= -1) THEN O_SEX2FL = .;
   IF (O_SEX3FL <= -1) THEN O_SEX3FL = .;
   IF (O_SEX4FL <= -1) THEN O_SEX4FL = .;
   IF (O_RE1FL <= -1) THEN O_RE1FL = .;
   IF (O_RE2FL <= -1) THEN O_RE2FL = .;
   IF (O_RE3FL <= -1) THEN O_RE3FL = .;
   IF (O_RE4FL <= -1) THEN O_RE4FL = .;
   IF (O_RE5FL <= -1) THEN O_RE5FL = .;
   IF (O_RE6FL <= -1) THEN O_RE6FL = .;
   IF (O_RE7FL <= -1) THEN O_RE7FL = .;
   IF (O_RE8FL <= -1) THEN O_RE8FL = .;
   IF (O_AGE1FL <= -1) THEN O_AGE1FL = .;
   IF (O_AGE2FL <= -1) THEN O_AGE2FL = .;
   IF (O_AGE3FL <= -1) THEN O_AGE3FL = .;
   IF (O_AGE4FL <= -1) THEN O_AGE4FL = .;
   IF (O_AGE5FL <= -1) THEN O_AGE5FL = .;
   IF (O_AGE6FL <= -1) THEN O_AGE6FL = .;
   IF (O_AGE7FL <= -1) THEN O_AGE7FL = .;
   IF (O_AGE8FL <= -1) THEN O_AGE8FL = .;
   IF (O_AGE9FL <= -1) THEN O_AGE9FL = .;
   IF (R_SEX1FL <= -1) THEN R_SEX1FL = .;
   IF (R_SEX2FL <= -1) THEN R_SEX2FL = .;
   IF (R_SEX3FL <= -1) THEN R_SEX3FL = .;
   IF (R_SEX4FL <= -1) THEN R_SEX4FL = .;
   IF (R_RE1FL <= -1) THEN R_RE1FL = .;
   IF (R_RE2FL <= -1) THEN R_RE2FL = .;
   IF (R_RE3FL <= -1) THEN R_RE3FL = .;
   IF (R_RE4FL <= -1) THEN R_RE4FL = .;
   IF (R_RE5FL <= -1) THEN R_RE5FL = .;
   IF (R_RE6FL <= -1) THEN R_RE6FL = .;
   IF (R_RE7FL <= -1) THEN R_RE7FL = .;
   IF (R_RE8FL <= -1) THEN R_RE8FL = .;
   IF (R_AGE1FL <= -1) THEN R_AGE1FL = .;
   IF (R_AGE2FL <= -1) THEN R_AGE2FL = .;
   IF (R_AGE3FL <= -1) THEN R_AGE3FL = .;
   IF (R_AGE4FL <= -1) THEN R_AGE4FL = .;
   IF (R_AGE5FL <= -1) THEN R_AGE5FL = .;
   IF (R_AGE6FL <= -1) THEN R_AGE6FL = .;
   IF (R_AGE7FL <= -1) THEN R_AGE7FL = .;
   IF (R_AGE8FL <= -1) THEN R_AGE8FL = .;
   IF (R_AGE9FL <= -1) THEN R_AGE9FL = .;
   IF (TCLI1FL <= -1) THEN TCLI1FL = .;
   IF (TCLI2FL <= -1) THEN TCLI2FL = .;
   IF (TCLI3FL <= -1) THEN TCLI3FL = .;
   IF (TCLI4FL <= -1) THEN TCLI4FL = .;
   IF (TCLI5FL <= -1) THEN TCLI5FL = .;
   IF (TCLI6FL <= -1) THEN TCLI6FL = .;
   IF (TCLI7FL <= -1) THEN TCLI7FL = .;
   IF (TCLIRCFL <= -1) THEN TCLIRCFL = .;
   IF (TCLIOPFL <= -1) THEN TCLIOPFL = .;
   IF (TCLIHIFL <= -1) THEN TCLIHIFL = .;
*/

RUN ;
